#
# Copyright (c) 2023, 2024, Oracle and/or its affiliates.
#
# Licensed under the Universal Permissive License v 1.0
# as shown at https://oss.oracle.com/licenses/upl/
#

Name:		ocifs
Version:	1.2.0
Release:	6%{?dist}
Summary:	Filesystem for OCI Object Storage
Source:		%{name}-%{version}.tar.bz2

License:	Universal Permissive License (UPL), Version 1.0

BuildRequires:	autoconf automake gcc libasan make openssl
BuildRequires:	pkgconfig(cmocka) pkgconfig(jansson) pkgconfig(fuse)
BuildRequires:	pkgconfig(libcurl) pkgconfig(openssl)
Requires:	jansson fuse fuse-libs libcurl openssl-libs

%description
Filesystem for Oracle Cloud Infrastructure (OCI) Object Storage.

%prep
%setup -q

%build
autoreconf --install
%{_configure} --prefix=/usr
%{make_build}

%install
%{make_install}

%check
%{__make} check

%files
%doc %{_mandir}/man1/%{name}.1.gz
%license LICENSE.txt
%license THIRD_PARTY_LICENSE.txt
%{_bindir}/%{name}

%changelog
* Thu Dec 12 2024 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-6
- Instance principal authentication doesn't work across regions
- Refresh of security token can crash
- Request can crash on retry
- Remove the --mpu-nthreads and --mpu-nparts options
- Bug 36984693 - Error while copying 1GB file when ocifs is configured with --mpu-nparts=1000 and --mpu-nthreads=1000
* Tue Oct  1 2024 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-5
- Fix request retry
- Fix partial update of uncached files
- Add test for partial update of a file
- Bug 36984693 - Error while copying 1GB file when ocifs is configured with --mpu-nparts=1000 and --mpu-nthreads=1000
* Tue Sep 10 2024 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-4
- Set file descriptor limits for MPU threads
* Mon Aug 05 2024 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-3
- Bug 36029418 - Writing on an exported OCIFS mount point does work on a NFS mount point
* Tue Jul 09 2024 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-2
- Multipart upload abort can take a long time
- Improve the request retry strategy
- Do not retry flush on error
- Improve error reporting
- Bug 34979749 - "UnspecifiedError" message is displayed when oci region doesn't match with bucket
- Bug 35976981 - Option mpu-nparts=10000 does not work with OCIFS 1.2.0-1
- Bug 36652835 - Permissions of the root of an OCIFS filesystem cannot be changed
* Tue Oct 10 2023 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.2.0-1
- Add support for OCI multipart upload
- Bug 34801218 - Implement multi-part copy to Object Storage
- Fixes issues with using NFS over OCIFS
- Bug 35750005 - OCIFS doesn't work properly with NFS
* Thu Jun 01 2023 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.1.0-2
- Initial release
